#include <iostream>
#include <list>
#include <algorithm>

int main() {
    std::list<char> charList;
    
    // Assign characters from an array
    char chars[] = {'a', 'b', 'c', 'd', 'e'};
    charList.assign(std::begin(chars), std::end(chars));
    
    std::cout << "List after assign: ";
    std::for_each(charList.begin(), charList.end(), [](char c) { std::cout << c << " "; });
    std::cout << std::endl;
    
    // Reassign with multiple copies
    charList.assign(3, 'X');
    
    std::cout << "List after reassign: ";
    std::for_each(charList.begin(), charList.end(), [](char c) { std::cout << c << " "; });
    std::cout << std::endl;
    
    return 0;
}
