#include <iostream>
#include <vector>
#include <list>
#include <algorithm>

int main() {
    std::list<double> source = {1.1, 2.2, 3.3, 4.4, 5.5};
    std::vector<double> destination;
    
    // Assign elements from the list to the vector
    destination.assign(source.begin(), source.end());
    
    std::cout << "Vector after assign: ";
    std::for_each(destination.begin(), destination.end(), [](double n) { std::cout << n << " "; });
    std::cout << std::endl;
    
    return 0;
}
